Custom Fields
Re-Envisioned
Support General License expired with composer support

  • Creator
    Topic
  • #30978
    Guillaume Delage
    Participant

    Hello,

    I use Metabox.io with composer on a client website.
    Since the website is finished, and only maintenance modifications are done, I did not renew the Core Extensions Bundle license since (from the FAQ) : "The product will continue to work after your license expires."

    This is not the case actually, since the "composer install" in my deployment script fails. The links in my composer.lock (https://metabox.io/?action=download&product=mb-settings-page&api_key=XXXXXXXXXXXX) gives me this error :
    "ERROR: Your license is expired. Please renew your license on the My Account page."
    It should return the latest version used before the license expires.

    Now I'm stuck and can no longer update this website.

    What can I do ?

Viewing 5 replies - 1 through 5 (of 5 total)
  • Author
    Replies
  • #30984
    Long Nguyen
    Moderator

    Hi,

    Regarding this message "The product will continue to work after your license expires.", the extension on the site still works after the license expired. Of course, it still works as well. Can you please confirm this?

    Regarding the composer, we have a note for this case "the version of extensions specified in composer.json must be dev-master. We don’t support version constraints for Meta Box extensions yet. You always use the latest version.". That means you need to renew the license to install the latest versions of extensions.
    Please read more here https://docs.metabox.io/extensions/composer/#usage

    #31006
    Guillaume Delage
    Participant

    Yes, the extension of the site still works. But I need to somewhat update some of my outdated composer packages.

    My way to use MetaBox is with composer, so I should have access to the version of Metabox I paid to use.
    Is the feature of having Metabox version in composer in progress ?

    #31013
    Long Nguyen
    Moderator

    Hi,

    We don't support the older version of premium extensions or accessing them. If you have them on a site, you can try to create a copy and install them on another site.

    #31021
    Guillaume Delage
    Participant

    So you are saying that if I have a workflow of using composer, I have the obligation to renew the license?
    Is the feature of having older version of premium extension something you're planning to do ?

    #31028
    Long Nguyen
    Moderator

    Hi,

    Thanks for the feedback.

    I will inform the development team to consider supporting users to download the older version of premium extensions.

Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.